using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication1.Models
{
    // 入出庫テーブル
    [Table("INCOMING_SHIPMENT_DATA")]
    public class IncomingShipmentDataModel
    {
        // 入出庫ID
        [Key]
        public int ID { get; set; }

        // 入出庫区分
        public int TRANSACTION_TYPE { get; set; }

        // 入出庫日付
        public DateTime TRANSACTION_DATE { get; set; }

        // 品目ID
        [Required]
        public int ITEM_ID { get; set; }

        // 入出庫数量
        public int TRANSACTION_QUANTITY { get; set; }

        // 入出庫場所
        public int TRANSACTION_LOCATION { get; set; }

        // 入出庫理由
        [StringLength(256)]
        public string TRANSACTION_REASON { get; set; }
    }
}