package com.example.entity;

import javax.persistence.*;

/**
 * 月初在庫テーブル (MONTHLY_STOCK)
 */
@Entity
@Table(name = "MONTHLY_STOCK")
public class MonthlyStockEntity {

    @Id
    @Column(name = "ID", nullable = false)
    private Long id; // 月初在庫ID

    @Column(name = "ITEM_ID", nullable = false)
    private Long itemId; // 品目ID

    @Column(name = "MONTH_OF_COLLECTION", nullable = false)
    private Integer monthOfCollection; // 集計月

    @Column(name = "STORAGE_LOCATION_ID", nullable = false)
    private Long storageLocationId; // 保管場所ID

    @Column(name = "QUANTITY", nullable = false)
    private Integer quantity; // 数量

    // Getters and Setters
}