from django.contrib import admin
from .models import Item, IncomingShipmentData, StorageLocation, MonthlyStock

# 品目テーブルの管理
@admin.register(Item)
class ItemAdmin(admin.ModelAdmin):
    # CharFieldのみを表示
    list_display = [field.name for field in Item._meta.fields if isinstance(field, models.CharField)]

# 入出庫テーブルの管理
@admin.register(IncomingShipmentData)
class IncomingShipmentDataAdmin(admin.ModelAdmin):
    # CharFieldのみを表示
    list_display = [field.name for field in IncomingShipmentData._meta.fields if isinstance(field, models.CharField)]

# 保管場所テーブルの管理
@admin.register(StorageLocation)
class StorageLocationAdmin(admin.ModelAdmin):
    # CharFieldのみを表示
    list_display = [field.name for field in StorageLocation._meta.fields if isinstance(field, models.CharField)]

# 月初在庫テーブルの管理
@admin.register(MonthlyStock)
class MonthlyStockAdmin(admin.ModelAdmin):
    # CharFieldのみを表示
    list_display = [field.name for field in MonthlyStock._meta.fields if isinstance(field, models.CharField)]