using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication1.Models
{
    // 月初在庫テーブル
    [Table("MONTHLY_STOCK")]
    public class MonthlyStockModel
    {
        // 月初在庫ID
        [Key]
        [Required]
        public int ID { get; set; }

        // 品目ID
        [Required]
        public int ITEM_ID { get; set; }

        // 集計月
        [Required]
        public int MONTH_OF_COLLECTION { get; set; }

        // 保管場所ID
        [Required]
        public int STORAGE_LOCATION_ID { get; set; }

        // 数量
        [Required]
        public int QUANTITY { get; set; }
    }
}